org.eclipse.aether.internal.impl

## Class CacheUtils

- java.lang.Object
- - org.eclipse.aether.internal.impl.CacheUtils

-     public final class CacheUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> boolean` | `eq(T s1, T s2)`
    `static ArtifactRepository` | `getRepository(RepositorySystemSession session, List<RemoteRepository> repositories, Class<?> repoClass, String repoId)`
    `static WorkspaceRepository` | `getWorkspace(RepositorySystemSession session)`
    `static int` | `hash(Object obj)`
    `static boolean` | `repositoriesEquals(List<RemoteRepository> r1, List<RemoteRepository> r2)`
    `static int` | `repositoriesHashCode(List<RemoteRepository> repositories)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheUtils

          public CacheUtils()

  - ### Method Detail

    - #### eq

          public static <T> boolean eq(T s1,
                       T s2)

    - #### hash

          public static int hash(Object obj)

    - #### repositoriesHashCode

          public static int repositoriesHashCode(List<RemoteRepository> repositories)

    - #### repositoriesEquals

          public static boolean repositoriesEquals(List<RemoteRepository> r1,
                                   List<RemoteRepository> r2)

    - #### getWorkspace

          public static WorkspaceRepository getWorkspace(RepositorySystemSession session)

    - #### getRepository

          public static ArtifactRepository getRepository(RepositorySystemSession session,
                                         List<RemoteRepository> repositories,
                                         Class<?> repoClass,
                                         String repoId)

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.